
_main:

;RV Monitor System.mbas,115 :: 		main:
;RV Monitor System.mbas,116 :: 		ADCON0 = 0x40                                   'A/D on Clock /8
	MOVLW      64
	MOVWF      ADCON0+0
;RV Monitor System.mbas,117 :: 		ADCON1 = 0x04                                   'Set PORTA as  RA0,RA1,RA3 are Analog RA2,RA4,RA5 Digital VCC is Refferance
	MOVLW      4
	MOVWF      ADCON1+0
;RV Monitor System.mbas,118 :: 		TRISA = 0X0F                                    'Set PORTA I/O bits 0 - 3 as Input the rest as outputs
	MOVLW      15
	MOVWF      TRISA+0
;RV Monitor System.mbas,119 :: 		TRISB = 0x80                                    'Set PORTB as output except RB7 is input
	MOVLW      128
	MOVWF      TRISB+0
;RV Monitor System.mbas,120 :: 		Trisc = 0X03                                    'set to 03 when not testing Set PORTC as Output on high six bits the rest are inputs
	MOVLW      3
	MOVWF      TRISC+0
;RV Monitor System.mbas,123 :: 		PortA = 0x30                                    'Init PortA Analog channels need to be inputs
	MOVLW      48
	MOVWF      PORTA+0
;RV Monitor System.mbas,124 :: 		PortC = 0x0F                                    'Low two bits are multiplexed water level sensors
	MOVLW      15
	MOVWF      PORTC+0
;RV Monitor System.mbas,125 :: 		Disp_One_Mode = 8                               'Start in the OFF state
	MOVLW      8
	MOVWF      _Disp_One_Mode+0
;RV Monitor System.mbas,126 :: 		Disp_Two_Mode = 8                               'Start in the OFF state
	MOVLW      8
	MOVWF      _Disp_Two_Mode+0
;RV Monitor System.mbas,127 :: 		Disp_One_Cycle_Timer = 0                        'Get a full cycle first time through
	CLRF       _Disp_One_Cycle_Timer+0
	CLRF       _Disp_One_Cycle_Timer+1
;RV Monitor System.mbas,128 :: 		Disp_Two_Cycle_Timer = 0
	CLRF       _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
;RV Monitor System.mbas,129 :: 		Disp_One_Cycle_Mode = 1                         'Initialize Cycle Mode to Clock Next
	MOVLW      1
	MOVWF      _Disp_One_Cycle_Mode+0
;RV Monitor System.mbas,130 :: 		Disp_Two_Cycle_Mode = 1                         'First time through
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
;RV Monitor System.mbas,131 :: 		Bat_Sample_counter = Bat_Sample_Period          'Bat_Sample_period for the first time through
	MOVLW      62
	MOVWF      _Bat_Sample_counter+0
;RV Monitor System.mbas,132 :: 		Period_Reached = 0                              'Initialize Timer Zero
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
;RV Monitor System.mbas,134 :: 		InitTimers                                'Start all Timers
	CALL       _InitTimers+0
;RV Monitor System.mbas,135 :: 		PortA = 0x30                              'Get the AM2023 Data Lines high
	MOVLW      48
	MOVWF      PORTA+0
;RV Monitor System.mbas,138 :: 		LCD_Sel = 0                               'Select Display #1 (Inside)
	BCF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,139 :: 		Lcd_Init()                                'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,140 :: 		Lcd_Cmd(_LCD_CLEAR)                       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,141 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)                  'Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,142 :: 		SetBit(PORTC, 6)                          'Turn On Disply Backlight
	BSF        PORTC+0, 6
;RV Monitor System.mbas,148 :: 		Lcd_Cmd (0x40)            'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,154 :: 		for j = 1 to 2
	MOVLW      1
	MOVWF      _j+0
L__main2:
;RV Monitor System.mbas,155 :: 		for i = 0 to 55
	CLRF       _i+0
L__main7:
;RV Monitor System.mbas,156 :: 		Lcd_Chr_CP(character[i])
	MOVF       _i+0, 0
	ADDLW      _character+0
	MOVWF      R0+0
	MOVLW      hi_addr(_character+0)
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R0+1
	MOVF       R0+0, 0
	MOVWF      ___DoICPAddr+0
	MOVF       R0+1, 0
	MOVWF      ___DoICPAddr+1
	CALL       _____DoICP+0
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;RV Monitor System.mbas,157 :: 		next i
	MOVF       _i+0, 0
	XORLW      55
	BTFSC      STATUS+0, 2
	GOTO       L__main10
	INCF       _i+0, 1
	GOTO       L__main7
L__main10:
;RV Monitor System.mbas,161 :: 		LCD_Sel = 1               'Select Display #2 (Outside)
	BSF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,162 :: 		Lcd_Init()                'Initialize Display
	CALL       _Lcd_Init+0
;RV Monitor System.mbas,163 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,164 :: 		Lcd_Cmd(_LCD_CURSOR_OFF)  'Cursor off
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,165 :: 		Lcd_Cmd (0x40)            'Write to CGRAM Address 0
	MOVLW      64
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,168 :: 		next j
	MOVF       _j+0, 0
	XORLW      2
	BTFSC      STATUS+0, 2
	GOTO       L__main5
	INCF       _j+0, 1
	GOTO       L__main2
L__main5:
;RV Monitor System.mbas,171 :: 		Pnt_Greeting
	CALL       _Pnt_Greeting+0
;RV Monitor System.mbas,172 :: 		LCD_Sel = 0               'Select Display #1 (Inside)
	BCF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,173 :: 		SetBit(PORTC, 7)          'Turn On Disply Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,175 :: 		Pnt_Greeting
	CALL       _Pnt_Greeting+0
;RV Monitor System.mbas,176 :: 		PortC.5 = 1               'A little Beep to say high
	BSF        PORTC+0, 5
;RV Monitor System.mbas,177 :: 		delay_ms (250)            '1/4 Second
	MOVLW      6
	MOVWF      R11+0
	MOVLW      19
	MOVWF      R12+0
	MOVLW      173
	MOVWF      R13+0
L__main11:
	DECFSZ     R13+0, 1
	GOTO       L__main11
	DECFSZ     R12+0, 1
	GOTO       L__main11
	DECFSZ     R11+0, 1
	GOTO       L__main11
	NOP
	NOP
;RV Monitor System.mbas,178 :: 		PortC.5 = 0               'Stop the beeper
	BCF        PORTC+0, 5
;RV Monitor System.mbas,179 :: 		Delay_ms (5000)           'Give them time to read it  five seconds
	MOVLW      102
	MOVWF      R11+0
	MOVLW      118
	MOVWF      R12+0
	MOVLW      193
	MOVWF      R13+0
L__main12:
	DECFSZ     R13+0, 1
	GOTO       L__main12
	DECFSZ     R12+0, 1
	GOTO       L__main12
	DECFSZ     R11+0, 1
	GOTO       L__main12
;RV Monitor System.mbas,181 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,182 :: 		Bat_Low = False           'assume the batteries OK
	CLRF       _Bat_Low+0
;RV Monitor System.mbas,183 :: 		Lcd_sel = 1               '(Outside)
	BSF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,184 :: 		Lcd_Cmd(_LCD_CLEAR)       'Clear display
	MOVLW      1
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,185 :: 		Clearbit (Portc,7)        'Turn off back lights
	BCF        PORTC+0, 7
;RV Monitor System.mbas,186 :: 		Clearbit (PortC,6)
	BCF        PORTC+0, 6
;RV Monitor System.mbas,187 :: 		Period_Reached = 0        'Init Timer Zero Counter
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
;RV Monitor System.mbas,189 :: 		Loop:
L__main_loop:
;RV Monitor System.mbas,190 :: 		TMR0IE_bit =  1                 'Start up Timer 0
	BSF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;RV Monitor System.mbas,191 :: 		if Period_Reached = Period      'Has it been over sample time
	MOVF       _Period_Reached+1, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__main162
	MOVLW      155
	XORWF      _Period_Reached+0, 0
L__main162:
	BTFSS      STATUS+0, 2
	GOTO       L__main15
;RV Monitor System.mbas,193 :: 		Read_Temp (PortA,4,TrisA)   'Yes refresh Temp and Humidity Data
	MOVLW      PORTA+0
	MOVWF      FARG_Read_Temp_port+0
	MOVLW      4
	MOVWF      FARG_Read_Temp_pin+0
	MOVLW      TRISA+0
	MOVWF      FARG_Read_Temp_Tris+0
	CALL       _Read_Temp+0
;RV Monitor System.mbas,194 :: 		Read_Temp (PortA,5,TrisA)
	MOVLW      PORTA+0
	MOVWF      FARG_Read_Temp_port+0
	MOVLW      5
	MOVWF      FARG_Read_Temp_pin+0
	MOVLW      TRISA+0
	MOVWF      FARG_Read_Temp_Tris+0
	CALL       _Read_Temp+0
;RV Monitor System.mbas,195 :: 		Period_Reached = 0
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
L__main15:
;RV Monitor System.mbas,198 :: 		if Bat_Sample_Counter = Bat_Sample_Period
	MOVF       _Bat_Sample_counter+0, 0
	XORLW      62
	BTFSS      STATUS+0, 2
	GOTO       L__main18
;RV Monitor System.mbas,200 :: 		Battery_Voltage (0)          'Read the battery voltage update display buffers
	CLRF       FARG_Battery_Voltage_Sample_Only+0
	CALL       _Battery_Voltage+0
;RV Monitor System.mbas,201 :: 		Bat_Sample_Counter = 0       'Reset the counter
	CLRF       _Bat_Sample_counter+0
L__main18:
;RV Monitor System.mbas,204 :: 		Check_Low_Battery               'Deal with a low battery
	CALL       _Check_Low_Battery+0
;RV Monitor System.mbas,205 :: 		Loop1:
L__main_loop1:
;RV Monitor System.mbas,206 :: 		LCD_Sel = 0                     'Select Display #1  (Inside)
	BCF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,210 :: 		Button(PORTA, 2, 50, 1)             'Test for Button Up
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	MOVLW      1
	MOVWF      FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main22
;RV Monitor System.mbas,212 :: 		goto Button_Two_Check          'Yes keep truckin
	GOTO       L__main_button_two_check
;RV Monitor System.mbas,213 :: 		else
L__main22:
;RV Monitor System.mbas,214 :: 		Disp_One_Mode = Disp_One_Mode + 1 'Button pressed move to next mode
	INCF       _Disp_One_Mode+0, 1
;RV Monitor System.mbas,215 :: 		if Disp_One_Mode = 7         'Is it just entering Cycle Mode?
	MOVF       _Disp_One_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main26
;RV Monitor System.mbas,217 :: 		Disp_One_Cycle_Timer = 0 'Give them a full time period
	CLRF       _Disp_One_Cycle_Timer+0
	CLRF       _Disp_One_Cycle_Timer+1
L__main26:
;RV Monitor System.mbas,221 :: 		IntCon        = 0                  'Disable Intrupts
	CLRF       INTCON+0
;RV Monitor System.mbas,222 :: 		TMR1IE_bit    = 0                  'Stop the timer
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RV Monitor System.mbas,223 :: 		Tmr1IF_Bit    = 0                  'Clear any pending Intrupts
	BCF        TMR1IF_bit+0, BitPos(TMR1IF_bit+0)
;RV Monitor System.mbas,224 :: 		Key_Timer_Reg = 0                  'Set up to mark time in this key stroke
	CLRF       _Key_Timer_Reg+0
;RV Monitor System.mbas,225 :: 		TMR1H         = 0x3C
	MOVLW      60
	MOVWF      TMR1H+0
;RV Monitor System.mbas,226 :: 		TMR1L         = 0xAF               'They may want to set the clock
	MOVLW      175
	MOVWF      TMR1L+0
;RV Monitor System.mbas,227 :: 		Intcon        = 0xE0               'Inable Intrupts
	MOVLW      224
	MOVWF      INTCON+0
;RV Monitor System.mbas,228 :: 		TMR1IE_bit    = 1                  'Start the timer
	BSF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RV Monitor System.mbas,230 :: 		Button_One_wait:
L__main_button_one_wait:
;RV Monitor System.mbas,232 :: 		Button (PORTA,2,50,0)     'Test if Button is still down
	MOVLW      PORTA+0
	MOVWF      FARG_Button_port+0
	MOVLW      2
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main30
;RV Monitor System.mbas,234 :: 		GOTO Button_One_Wait      'Wait for them to let off the button
	GOTO       L__main_button_one_wait
L__main30:
;RV Monitor System.mbas,236 :: 		TMR1IE_bit = 0            'Stop Counter Capture length of time pressed
	BCF        TMR1IE_bit+0, BitPos(TMR1IE_bit+0)
;RV Monitor System.mbas,239 :: 		Key_Timer_Reg.7 = 1     'this is a five second press
	BTFSS      _Key_Timer_Reg+0, 7
	GOTO       L__main33
;RV Monitor System.mbas,241 :: 		Set_Clock          'Go and set the clock
	CALL       _Set_Clock+0
;RV Monitor System.mbas,242 :: 		Disp_One_Mode = Disp_One_Mode - 1 'Back out the mode change
	DECF       _Disp_One_Mode+0, 1
;RV Monitor System.mbas,243 :: 		goto Loop1         'And continue like nothing happened
	GOTO       L__main_loop1
L__main33:
;RV Monitor System.mbas,247 :: 		Disp_One_Mode = 9
	MOVF       _Disp_One_Mode+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main36
;RV Monitor System.mbas,249 :: 		Disp_One_Mode = 1                       'Yes start over
	MOVLW      1
	MOVWF      _Disp_One_Mode+0
;RV Monitor System.mbas,250 :: 		LCD_CMD (0X0C)                          'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,251 :: 		SetBit(PORTC, 6)                        'Turn On Disply One Backlight
	BSF        PORTC+0, 6
L__main36:
;RV Monitor System.mbas,255 :: 		Button_Two_Check:
L__main_button_two_check:
;RV Monitor System.mbas,257 :: 		LCD_Sel = 1                  'Now display 2  (Outside)
	BSF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,259 :: 		Button(PORTB, 7, 50, 0)      'Test for Button Down
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main39
;RV Monitor System.mbas,261 :: 		Disp_Two_Mode = Disp_Two_Mode + 1
	INCF       _Disp_Two_Mode+0, 1
;RV Monitor System.mbas,262 :: 		if Disp_Two_Mode = 7            'Just starting Cycle Mode
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main42
;RV Monitor System.mbas,264 :: 		Disp_Two_Cycle_Timer = 0     'Yes give them a full period of display time
	CLRF       _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
L__main42:
;RV Monitor System.mbas,265 :: 		end if
L__main39:
;RV Monitor System.mbas,270 :: 		Button_Two_Wait:
L__main_button_two_wait:
;RV Monitor System.mbas,272 :: 		Button (PORTB,7,50,0)         'Test for Button UP if no button pressed keep going to update Displays
	MOVLW      PORTB+0
	MOVWF      FARG_Button_port+0
	MOVLW      7
	MOVWF      FARG_Button_pin+0
	MOVLW      50
	MOVWF      FARG_Button_time+0
	CLRF       FARG_Button_activeState+0
	CALL       _Button+0
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__main46
;RV Monitor System.mbas,274 :: 		GOTO Button_Two_Wait          'Wait for button up
	GOTO       L__main_button_two_wait
L__main46:
;RV Monitor System.mbas,277 :: 		Disp_Two_Mode = 9             'Are we over max mode?
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      9
	BTFSS      STATUS+0, 2
	GOTO       L__main49
;RV Monitor System.mbas,279 :: 		Disp_Two_Mode = 1             'Yes start over
	MOVLW      1
	MOVWF      _Disp_Two_Mode+0
;RV Monitor System.mbas,280 :: 		LCD_CMD (0X0C)                'Turn On Display
	MOVLW      12
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,281 :: 		SetBit(PORTC, 7)              'Turn On Disply Two Backlight
	BSF        PORTC+0, 7
;RV Monitor System.mbas,282 :: 		goto  Update_Display_Two      'And service it
	GOTO       L__main_update_display_two
L__main49:
;RV Monitor System.mbas,289 :: 		LCD_Sel = 0              'Select Display #1 (Inside)
	BCF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,290 :: 		if Disp_One_Mode <> 8    'Not in off state
	MOVF       _Disp_One_Mode+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__main54
;RV Monitor System.mbas,292 :: 		setbit (Portc,6)       'Yes turn on backlight
	BSF        PORTC+0, 6
L__main54:
;RV Monitor System.mbas,297 :: 		case 1                         'Mode One is the Clock
	MOVF       _Disp_One_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main59
;RV Monitor System.mbas,298 :: 		Get_Clock                 'Display the Clock
	CALL       _Get_Clock+0
;RV Monitor System.mbas,299 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main56
L__main59:
;RV Monitor System.mbas,301 :: 		case 2                         'Mode Two is Battery Voltage
	MOVF       _Disp_One_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main62
;RV Monitor System.mbas,302 :: 		Bat_Line1_Txt             'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,303 :: 		Bat_Line2_Txt             'Display  Line 2
	CALL       _Bat_Line2_Txt+0
	GOTO       L__main56
L__main62:
;RV Monitor System.mbas,305 :: 		case 3                         'Mode Three is Fresh water Level
	MOVF       _Disp_One_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main65
;RV Monitor System.mbas,306 :: 		Fresh_Water_Line1_txt     'Display Line one for Fresh Water Level
	CALL       _Fresh_Water_Line1_txt+0
;RV Monitor System.mbas,307 :: 		Water_Level (1)           'Get Data and Display on line 2
	MOVLW      1
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
	GOTO       L__main56
L__main65:
;RV Monitor System.mbas,309 :: 		case 4                         'Mode Four is Holding Tank water Level
	MOVF       _Disp_One_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main68
;RV Monitor System.mbas,310 :: 		Gray_Water_Line1_txt      'Display Line one for Gray Tank Water Level
	CALL       _Gray_Water_Line1_txt+0
;RV Monitor System.mbas,311 :: 		Water_Level (2)           'Get Data and Display on line 2
	MOVLW      2
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
	GOTO       L__main56
L__main68:
;RV Monitor System.mbas,313 :: 		case 5                         'Mode Five is Outside Temp
	MOVF       _Disp_One_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main71
;RV Monitor System.mbas,314 :: 		OT_Line1_Txt              'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,315 :: 		Print_Temp_Rh (0)         'Display on Line two
	CLRF       FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
	GOTO       L__main56
L__main71:
;RV Monitor System.mbas,317 :: 		case 6                         'Mode Six is Inside Temp
	MOVF       _Disp_One_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main74
;RV Monitor System.mbas,318 :: 		IN_Line1_Txt              'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,319 :: 		Print_Temp_Rh (1)         'Display on line two
	MOVLW      1
	MOVWF      FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
	GOTO       L__main56
L__main74:
;RV Monitor System.mbas,321 :: 		case 7                         'Is this the Cycle Mode?
	MOVF       _Disp_One_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main77
;RV Monitor System.mbas,322 :: 		goto Cycle_Display_One    'Yes do it
	GOTO       L__main_cycle_display_one
L__main77:
;RV Monitor System.mbas,324 :: 		case 8                         'Mode Eight is OFF
	MOVF       _Disp_One_Mode+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__main81
;RV Monitor System.mbas,325 :: 		Lcd_Cmd (0x08)            'Turn Off Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,326 :: 		ClearBit(PORTC, 6)        'Turn Of Disply One Backlight
	BCF        PORTC+0, 6
;RV Monitor System.mbas,327 :: 		Disp_One_Cycle_Mode = 1   'Start the next cycle mode at case one
	MOVLW      1
	MOVWF      _Disp_One_Cycle_Mode+0
	GOTO       L__main56
L__main81:
L__main56:
;RV Monitor System.mbas,333 :: 		Update_Display_Two:
L__main_update_display_two:
;RV Monitor System.mbas,335 :: 		Lcd_Sel = 1               'Select Display #2 (Outside)
	BSF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,336 :: 		if Disp_Two_Mode <> 8     'In the off mode?
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      8
	BTFSC      STATUS+0, 2
	GOTO       L__main83
;RV Monitor System.mbas,338 :: 		setbit (Portc,7)       'No turn on the backlight
	BSF        PORTC+0, 7
L__main83:
;RV Monitor System.mbas,343 :: 		case 1                         'Mode One is the Clock
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main88
;RV Monitor System.mbas,344 :: 		Get_Clock                 'Display the Clock
	CALL       _Get_Clock+0
;RV Monitor System.mbas,345 :: 		Clr_Cyc_ind               'Clear Cycling Indicators
	CALL       _Clr_Cyc_Ind+0
	GOTO       L__main85
L__main88:
;RV Monitor System.mbas,347 :: 		case 2                         'Mode Two is Battery Voltage
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main91
;RV Monitor System.mbas,348 :: 		Bat_Line1_Txt             'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,349 :: 		Bat_Line2_Txt             'Display  Line 2
	CALL       _Bat_Line2_Txt+0
	GOTO       L__main85
L__main91:
;RV Monitor System.mbas,351 :: 		case 3                         'Mode Three is Fresh water Level
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main94
;RV Monitor System.mbas,352 :: 		Fresh_Water_Line1_txt     'Display Line one for Fresh Water Level
	CALL       _Fresh_Water_Line1_txt+0
;RV Monitor System.mbas,353 :: 		Water_Level (1)           'Get Data and Display on line 2
	MOVLW      1
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
	GOTO       L__main85
L__main94:
;RV Monitor System.mbas,355 :: 		case 4                         'Mode Four is Holding Tank water Level
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main97
;RV Monitor System.mbas,356 :: 		Gray_Water_Line1_txt      'Display Line one for Gray Tank Water Level
	CALL       _Gray_Water_Line1_txt+0
;RV Monitor System.mbas,357 :: 		Water_Level (2)           'Get Data and Display on line 2
	MOVLW      2
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
	GOTO       L__main85
L__main97:
;RV Monitor System.mbas,359 :: 		case 5                         'Mode Five is Outside Temp
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main100
;RV Monitor System.mbas,360 :: 		OT_Line1_Txt              'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,361 :: 		Print_Temp_Rh (0)         'Display on Line two
	CLRF       FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
	GOTO       L__main85
L__main100:
;RV Monitor System.mbas,363 :: 		case 6                         'Mode Six is Inside Temp
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main103
;RV Monitor System.mbas,364 :: 		IN_Line1_Txt              'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,365 :: 		Print_Temp_Rh (1)         'Display on line two
	MOVLW      1
	MOVWF      FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
	GOTO       L__main85
L__main103:
;RV Monitor System.mbas,367 :: 		case 7                         'Is this the Cycle Mode?
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main106
;RV Monitor System.mbas,368 :: 		goto Cycle_Display_Two    'Yes do it
	GOTO       L__main_cycle_display_two
L__main106:
;RV Monitor System.mbas,370 :: 		case 8                         'Mode Eight is OFF
	MOVF       _Disp_Two_Mode+0, 0
	XORLW      8
	BTFSS      STATUS+0, 2
	GOTO       L__main110
;RV Monitor System.mbas,371 :: 		Lcd_Cmd (0x08)            'Turn Off Display
	MOVLW      8
	MOVWF      FARG_Lcd_Cmd_out_char+0
	CALL       _Lcd_Cmd+0
;RV Monitor System.mbas,372 :: 		ClearBit(PORTC, 7)        'Turn Of Disply One Backlight
	BCF        PORTC+0, 7
;RV Monitor System.mbas,373 :: 		Disp_Two_Cycle_Mode = 1   'Start the next cycle mode at case one
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
	GOTO       L__main85
L__main110:
L__main85:
;RV Monitor System.mbas,375 :: 		goto loop
	GOTO       L__main_loop
;RV Monitor System.mbas,376 :: 		Cycle_Display_One:
L__main_cycle_display_one:
;RV Monitor System.mbas,378 :: 		if      Disp_One_Cycle_Timer = Disp_One_Delay
	MOVF       _Disp_One_Cycle_Timer+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main163
	MOVLW      54
	XORWF      _Disp_One_Cycle_Timer+0, 0
L__main163:
	BTFSS      STATUS+0, 2
	GOTO       L__main112
;RV Monitor System.mbas,380 :: 		Disp_One_Cycle_Mode = Disp_One_Cycle_Mode +1
	INCF       _Disp_One_Cycle_Mode+0, 1
;RV Monitor System.mbas,381 :: 		Disp_One_Cycle_Timer = 0
	CLRF       _Disp_One_Cycle_Timer+0
	CLRF       _Disp_One_Cycle_Timer+1
L__main112:
;RV Monitor System.mbas,384 :: 		if      Disp_One_Cycle_Mode = 7        'Max Cycle Mode?
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main115
;RV Monitor System.mbas,386 :: 		Disp_One_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_One_Cycle_Mode+0
L__main115:
;RV Monitor System.mbas,388 :: 		LCD_Sel = 0                  'Select Display #1 (Inside)
	BCF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,393 :: 		case 1                           'Mode One is the Clock
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main120
;RV Monitor System.mbas,394 :: 		Get_Clock                    'Display the Clock
	CALL       _Get_Clock+0
;RV Monitor System.mbas,395 :: 		Set_Cyc_ind                  'Display Cycling Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main120:
;RV Monitor System.mbas,397 :: 		case 2                           'Mode Two is Battery Voltage
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main123
;RV Monitor System.mbas,398 :: 		Bat_Line1_Txt                'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,399 :: 		Bat_Line2_Txt                'Display  Line 2
	CALL       _Bat_Line2_Txt+0
;RV Monitor System.mbas,400 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main123:
;RV Monitor System.mbas,402 :: 		case 3                          'Mode Three is Fresh water Level
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main126
;RV Monitor System.mbas,403 :: 		Fresh_Water_Line1_txt        'Display Line one for Fresh Water Level
	CALL       _Fresh_Water_Line1_txt+0
;RV Monitor System.mbas,404 :: 		Water_Level (1)              'Get Data and Display on line 2
	MOVLW      1
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
;RV Monitor System.mbas,405 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main126:
;RV Monitor System.mbas,407 :: 		case 4                          'Mode Four is Holding Tank Water Level
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main129
;RV Monitor System.mbas,408 :: 		Gray_Water_Line1_txt         'Display Line one for Gray Tank Water Level
	CALL       _Gray_Water_Line1_txt+0
;RV Monitor System.mbas,409 :: 		Water_Level (2)              'Get Data and Display on line 2
	MOVLW      2
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
;RV Monitor System.mbas,410 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main129:
;RV Monitor System.mbas,412 :: 		case 5                          'Mode Five is Outside Temp
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main132
;RV Monitor System.mbas,413 :: 		OT_Line1_Txt                 'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,414 :: 		Print_Temp_Rh (0)            'Display on Line two
	CLRF       FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
;RV Monitor System.mbas,415 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main132:
;RV Monitor System.mbas,417 :: 		case 6                          'Mode Six is Inside Temp
	MOVF       _Disp_One_Cycle_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main135
;RV Monitor System.mbas,418 :: 		IN_Line1_Txt                 'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,419 :: 		Print_Temp_Rh (1)            'Display on Line two
	MOVLW      1
	MOVWF      FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
;RV Monitor System.mbas,420 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main117
L__main135:
L__main117:
;RV Monitor System.mbas,423 :: 		goto Update_Display_Two
	GOTO       L__main_update_display_two
;RV Monitor System.mbas,425 :: 		Cycle_Display_Two:
L__main_cycle_display_two:
;RV Monitor System.mbas,427 :: 		if      Disp_Two_Cycle_Timer = Disp_Two_Delay
	MOVF       _Disp_Two_Cycle_Timer+1, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main164
	MOVLW      54
	XORWF      _Disp_Two_Cycle_Timer+0, 0
L__main164:
	BTFSS      STATUS+0, 2
	GOTO       L__main137
;RV Monitor System.mbas,429 :: 		Disp_Two_Cycle_Mode = Disp_Two_Cycle_Mode +1
	INCF       _Disp_Two_Cycle_Mode+0, 1
;RV Monitor System.mbas,430 :: 		Disp_Two_Cycle_Timer = 0
	CLRF       _Disp_Two_Cycle_Timer+0
	CLRF       _Disp_Two_Cycle_Timer+1
L__main137:
;RV Monitor System.mbas,433 :: 		if      Disp_Two_Cycle_Mode = 7        'Max Cycle Mode ?
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      7
	BTFSS      STATUS+0, 2
	GOTO       L__main140
;RV Monitor System.mbas,435 :: 		Disp_Two_Cycle_Mode = 1
	MOVLW      1
	MOVWF      _Disp_Two_Cycle_Mode+0
L__main140:
;RV Monitor System.mbas,438 :: 		LCD_Sel = 1                   'Select Display #2 (Outside)
	BSF        LCD_SEL+0, BitPos(LCD_SEL+0)
;RV Monitor System.mbas,443 :: 		case 1                          'Mode One is the Clock
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__main145
;RV Monitor System.mbas,444 :: 		Get_Clock                    'Display the Clock
	CALL       _Get_Clock+0
;RV Monitor System.mbas,445 :: 		Set_Cyc_ind                  'Clear Cycling Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main145:
;RV Monitor System.mbas,447 :: 		case 2                          'Mode Two is Battery Voltage
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__main148
;RV Monitor System.mbas,448 :: 		Bat_Line1_Txt                'Display Line one for Battery Voltage
	CALL       _Bat_Line1_Txt+0
;RV Monitor System.mbas,449 :: 		Bat_Line2_Txt                'Display  Line 2
	CALL       _Bat_Line2_Txt+0
;RV Monitor System.mbas,450 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main148:
;RV Monitor System.mbas,452 :: 		case 3                          'Mode Three is Fresh water Level
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__main151
;RV Monitor System.mbas,453 :: 		Fresh_Water_Line1_txt        'Display Line one for Fresh Water Level
	CALL       _Fresh_Water_Line1_txt+0
;RV Monitor System.mbas,454 :: 		Water_Level (1)              'Get Data and Display on line 2
	MOVLW      1
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
;RV Monitor System.mbas,455 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main151:
;RV Monitor System.mbas,457 :: 		case 4                          'Mode Four is Holding Tank Water Level
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__main154
;RV Monitor System.mbas,458 :: 		Gray_Water_Line1_txt         'Display Line one for Gray Tank Water Level
	CALL       _Gray_Water_Line1_txt+0
;RV Monitor System.mbas,459 :: 		Water_Level (2)              'Get Data and Display on line 2
	MOVLW      2
	MOVWF      FARG_Water_Level_ID+0
	CALL       _Water_Level+0
;RV Monitor System.mbas,460 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main154:
;RV Monitor System.mbas,462 :: 		case 5                          'Mode Five is Outside Temp
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      5
	BTFSS      STATUS+0, 2
	GOTO       L__main157
;RV Monitor System.mbas,463 :: 		OT_Line1_Txt                 'Display Line one for Outside Temp
	CALL       _OT_Line1_Txt+0
;RV Monitor System.mbas,464 :: 		Print_Temp_Rh (0)            'Display on Line two
	CLRF       FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
;RV Monitor System.mbas,465 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main157:
;RV Monitor System.mbas,467 :: 		case 6                          'Mode Six is Inside Temp
	MOVF       _Disp_Two_Cycle_Mode+0, 0
	XORLW      6
	BTFSS      STATUS+0, 2
	GOTO       L__main160
;RV Monitor System.mbas,468 :: 		IN_Line1_Txt                 'Display Line one for Inside Temp
	CALL       _IN_Line1_Txt+0
;RV Monitor System.mbas,469 :: 		Print_Temp_Rh (1)            'Display on Line two
	MOVLW      1
	MOVWF      FARG_Print_Temp_Rh_OI+0
	CALL       _Print_Temp_Rh+0
;RV Monitor System.mbas,470 :: 		Set_Cyc_Ind                  'Display Cycleing Indicators
	CALL       _Set_Cyc_Ind+0
	GOTO       L__main142
L__main160:
L__main142:
;RV Monitor System.mbas,473 :: 		goto loop
	GOTO       L__main_loop
L_end_main:
	GOTO       $+0
; end of _main
