
_Read_Temp:

;Read_Temp.mbas,79 :: 		Sub Procedure Read_Temp  (dim byref port as byte, dim pin as byte, dim byref Tris as byte)
;Read_Temp.mbas,82 :: 		Intcon = 0x00                   'Disable Intrupts during this routine
	CLRF       INTCON+0
;Read_Temp.mbas,83 :: 		Option_Reg =0x81                '4 X prescaler for 1 us ticks
	MOVLW      129
	MOVWF      OPTION_REG+0
;Read_Temp.mbas,85 :: 		Err_Flag = 0                    'Clear the Error Flag
	CLRF       Read_Temp_Err_Flag+0
;Read_Temp.mbas,90 :: 		Clearbit (Port, Pin)             'Drop the Data Bit to initialize Request
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp100:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp101
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp100
L__Read_Temp101:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,91 :: 		Delay_ms (20)                    'Low for a min 20 ms
	MOVLW      104
	MOVWF      R12+0
	MOVLW      228
	MOVWF      R13+0
L__Read_Temp1:
	DECFSZ     R13+0, 1
	GOTO       L__Read_Temp1
	DECFSZ     R12+0, 1
	GOTO       L__Read_Temp1
	NOP
;Read_Temp.mbas,92 :: 		SetBit (Port, Pin)               'Now a high completes the request
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp102:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp103
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp102
L__Read_Temp103:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,93 :: 		SetBit (Tris, Pin)               'Turn the I/O bit to an Input
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp104:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp105
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp104
L__Read_Temp105:
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,95 :: 		Tmr0 =  0                        'For testing short counts, us range just counting
	CLRF       TMR0+0
;Read_Temp.mbas,96 :: 		While  TestBit (Port,Pin) = 1    'First step of the response to our request up to 40us high
L__Read_Temp3:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp106:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp107
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp106
L__Read_Temp107:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp7
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp7:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp4
;Read_Temp.mbas,97 :: 		if Tmr0 > 128                'Wait for the AM2302 to pull the line low 20 to 40 us
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp9
;Read_Temp.mbas,99 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,100 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp9:
;Read_Temp.mbas,102 :: 		Wend
	GOTO       L__Read_Temp3
L__Read_Temp4:
;Read_Temp.mbas,104 :: 		Tmr0 = 0                        'For testing short counts
	CLRF       TMR0+0
;Read_Temp.mbas,105 :: 		While  TestBit (Port, Pin) = 0  'The AM2302 keeps the line low for 80us
L__Read_Temp13:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp108:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp109
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp108
L__Read_Temp109:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp17
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp17:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp14
;Read_Temp.mbas,106 :: 		if Tmr0 > 128               '128 us is too long for this function
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp19
;Read_Temp.mbas,108 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,109 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp19:
;Read_Temp.mbas,111 :: 		Wend                           'When it goes back High it's the start of the data bit
	GOTO       L__Read_Temp13
L__Read_Temp14:
;Read_Temp.mbas,113 :: 		Tmr0 = 0                       'For testing short counts
	CLRF       TMR0+0
;Read_Temp.mbas,114 :: 		While TestBit (Port, Pin) = 1  'Wait for the start Bit
L__Read_Temp22:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp110:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp111
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp110
L__Read_Temp111:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp26
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp26:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp23
;Read_Temp.mbas,115 :: 		if Tmr0 > 128               'Error timout  128 us
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp28
;Read_Temp.mbas,117 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,118 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp28:
;Read_Temp.mbas,120 :: 		Wend
	GOTO       L__Read_Temp22
L__Read_Temp23:
;Read_Temp.mbas,124 :: 		For jj = 1 to 5          'Five bytes of data: RH High, RH Low, Temp High, Temp Low, Checksum in that order
	MOVLW      1
	MOVWF      Read_Temp_jj+0
L__Read_Temp31:
;Read_Temp.mbas,125 :: 		Chksum = 0                'Repurpose this byte for all data input bytes
	CLRF       Read_Temp_Chksum+0
;Read_Temp.mbas,126 :: 		For ii = 7 to 0 step -1           'Eight bits
	MOVLW      7
	MOVWF      Read_Temp_ii+0
L__Read_Temp36:
;Read_Temp.mbas,127 :: 		Tmr0 = 0                      'Period_reached for testing short count
	CLRF       TMR0+0
;Read_Temp.mbas,128 :: 		While TestBit (Port, Pin) = 0 'This is waiting for the start of a bit
L__Read_Temp41:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp112:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp113
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp112
L__Read_Temp113:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp45
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp45:
	MOVF       R1+0, 0
	XORLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp42
;Read_Temp.mbas,129 :: 		if  Tmr0 > 128          'Error Timeout
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp47
;Read_Temp.mbas,131 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,132 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp47:
;Read_Temp.mbas,134 :: 		Wend
	GOTO       L__Read_Temp41
L__Read_Temp42:
;Read_Temp.mbas,136 :: 		Tmr0 = 0                       'Count the length of the data bit
	CLRF       TMR0+0
;Read_Temp.mbas,137 :: 		While TestBit (Port, Pin) = 1  'This is the Data bit
L__Read_Temp50:
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp114:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp115
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp114
L__Read_Temp115:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	ANDWF      INDF+0, 0
	MOVWF      R2+0
	CLRF       R1+0
	MOVF       R2+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp54
	MOVLW      1
	MOVWF      R1+0
L__Read_Temp54:
	MOVF       R1+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp51
;Read_Temp.mbas,138 :: 		if  Tmr0 > 128           'Error Timeout
	MOVF       TMR0+0, 0
	SUBLW      128
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp56
;Read_Temp.mbas,140 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,141 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp56:
;Read_Temp.mbas,143 :: 		Wend
	GOTO       L__Read_Temp50
L__Read_Temp51:
;Read_Temp.mbas,145 :: 		if Tmr0 > 40            'Around 28 to 30 micro sec is a zero
	MOVF       TMR0+0, 0
	SUBLW      40
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp59
;Read_Temp.mbas,147 :: 		setbit (Chksum, ii)   'Set the bit in the capture byte
	MOVF       Read_Temp_ii+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp116:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp117
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp116
L__Read_Temp117:
	MOVF       R0+0, 0
	IORWF      Read_Temp_Chksum+0, 1
L__Read_Temp59:
;Read_Temp.mbas,149 :: 		next ii
	MOVF       Read_Temp_ii+0, 0
	XORLW      0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp39
	MOVLW      255
	ADDWF      Read_Temp_ii+0, 1
	GOTO       L__Read_Temp36
L__Read_Temp39:
;Read_Temp.mbas,152 :: 		Case 1
	MOVF       Read_Temp_jj+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp64
;Read_Temp.mbas,153 :: 		Received_Data_RH_H = Chksum    'First byte is RH High
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_RH_H+0
	GOTO       L__Read_Temp61
L__Read_Temp64:
;Read_Temp.mbas,154 :: 		Case 2
	MOVF       Read_Temp_jj+0, 0
	XORLW      2
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp67
;Read_Temp.mbas,155 :: 		Received_Data_RH_L = Chksum    'Second byte is RH Low
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_RH_L+0
	GOTO       L__Read_Temp61
L__Read_Temp67:
;Read_Temp.mbas,156 :: 		Case 3
	MOVF       Read_Temp_jj+0, 0
	XORLW      3
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp70
;Read_Temp.mbas,157 :: 		Received_Data_Temp_H = Chksum  'Third byte is Temp High
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_Temp_H+0
	GOTO       L__Read_Temp61
L__Read_Temp70:
;Read_Temp.mbas,158 :: 		Case 4
	MOVF       Read_Temp_jj+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp73
;Read_Temp.mbas,159 :: 		Received_Data_Temp_L = Chksum  'Forth byte is Temp Low
	MOVF       Read_Temp_Chksum+0, 0
	MOVWF      Read_Temp_Received_Data_Temp_L+0
	GOTO       L__Read_Temp61
L__Read_Temp73:
L__Read_Temp61:
;Read_Temp.mbas,162 :: 		Next jj                          'The outer loop is the byte counter
	MOVF       Read_Temp_jj+0, 0
	XORLW      5
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp34
	INCF       Read_Temp_jj+0, 1
	GOTO       L__Read_Temp31
L__Read_Temp34:
;Read_Temp.mbas,166 :: 		clearbit (Tris, Pin)             'Turn the I/O bit to an Output
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp118:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp119
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp118
L__Read_Temp119:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,167 :: 		SetBit (port, Pin)               'Leave it in the High State for the next read
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp120:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp121
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp120
L__Read_Temp121:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,172 :: 		if ((( Received_Data_RH_H + Received_Data_RH_L) and 0xff) +
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R1+0
;Read_Temp.mbas,173 :: 		(( Received_Data_Temp_H + Received_Data_Temp_L )and 0xff))and 0xff <> Chksum
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R1+0, 0
	ADDWF      R0+0, 1
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R1+0
	MOVF       R1+0, 0
	XORWF      Read_Temp_Chksum+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp75
;Read_Temp.mbas,175 :: 		Err_Flag = 1
	MOVLW      1
	MOVWF      Read_Temp_Err_Flag+0
;Read_Temp.mbas,176 :: 		goto Err_Exit
	GOTO       L__Read_Temp_err_exit
L__Read_Temp75:
;Read_Temp.mbas,183 :: 		if Testbit (Received_Data_Temp_H, (7))        'is this - C  the AM2302 sets the high bit for negatave temp
	CLRF       R0+0
	BTFSS      Read_Temp_Received_Data_Temp_H+0, 7
	GOTO       L__Read_Temp80
	MOVLW      1
	MOVWF      R0+0
L__Read_Temp80:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp78
;Read_Temp.mbas,185 :: 		Clearbit (Received_Data_Temp_H, 7)     'if so clear the flag so it doesn't screw up the math
	BCF        Read_Temp_Received_Data_Temp_H+0, 7
;Read_Temp.mbas,187 :: 		if (Received_Data_Temp_H *256 + Received_Data_Temp_L) >170   'Is "C" over -17 deg
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVF       R2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp122
	MOVF       R2+0, 0
	SUBLW      170
L__Read_Temp122:
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp82
;Read_Temp.mbas,189 :: 		if PIN = 4                      'Which sensor is it? 4 = Outside Sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp85
;Read_Temp.mbas,193 :: 		bytetostr ((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,194 :: 		/10) *9) /5)) and 0xff)-32 , Temp_Deg_F_O)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      32
	SUBWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,195 :: 		Temp_Deg_F_O [0] ="-"    'Place a minus sign in the display buffer
	MOVLW      45
	MOVWF      _Temp_Deg_F_O+0
	GOTO       L__Read_Temp86
;Read_Temp.mbas,197 :: 		Else                         'Else it must be the inner sensor
L__Read_Temp85:
;Read_Temp.mbas,198 :: 		bytetostr ((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,199 :: 		/10) *9) /5)) and 0xff) -32 , Temp_Deg_F_I)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      32
	SUBWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,200 :: 		Temp_Deg_F_I [0] ="-"
	MOVLW      45
	MOVWF      _Temp_Deg_F_I+0
;Read_Temp.mbas,201 :: 		end if
L__Read_Temp86:
L__Read_Temp82:
;Read_Temp.mbas,207 :: 		if (Received_Data_Temp_H *256 + Received_Data_Temp_L) < 180
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	BTFSC      STATUS+0, 0
	ADDLW      1
	MOVWF      R2+1
	MOVLW      0
	SUBWF      R2+1, 0
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp123
	MOVLW      180
	SUBWF      R2+0, 0
L__Read_Temp123:
	BTFSC      STATUS+0, 0
	GOTO       L__Read_Temp88
;Read_Temp.mbas,209 :: 		if PIN = 4                       'Identify the correct Sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp91
;Read_Temp.mbas,211 :: 		bytetostr (32 -((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,212 :: 		/10) *9) /5)) and 0xff)) , Temp_Deg_F_O)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	SUBLW      32
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp92
;Read_Temp.mbas,213 :: 		else
L__Read_Temp91:
;Read_Temp.mbas,214 :: 		bytetostr (32 -((((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L))
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
;Read_Temp.mbas,215 :: 		/10) *9) /5)) and 0xff)) , Temp_Deg_F_I)
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      255
	ANDWF      R0+0, 1
	MOVF       R0+0, 0
	SUBLW      32
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,216 :: 		end if
L__Read_Temp92:
L__Read_Temp88:
;Read_Temp.mbas,217 :: 		end if
	GOTO       L__Read_Temp79
;Read_Temp.mbas,218 :: 		else
L__Read_Temp78:
;Read_Temp.mbas,222 :: 		if Pin = 4                             'Again identify the sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp94
;Read_Temp.mbas,224 :: 		bytetostr (((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L)) /10) *9) /5)+32)
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      32
	ADDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
;Read_Temp.mbas,225 :: 		and 0xff , Temp_Deg_F_O)
	MOVLW      255
	ANDWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp95
;Read_Temp.mbas,226 :: 		else
L__Read_Temp94:
;Read_Temp.mbas,227 :: 		bytetostr (((((((Received_Data_Temp_H * 256) + (Received_Data_Temp_L)) /10) *9) /5)+32)
	MOVF       Read_Temp_Received_Data_Temp_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_Temp_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      9
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Mul_16x16_U+0
	MOVLW      5
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVLW      32
	ADDWF      R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
;Read_Temp.mbas,228 :: 		and 0xff , Temp_Deg_F_I)
	MOVLW      255
	ANDWF      FARG_ByteToStr_input+0, 1
	MOVLW      _Temp_Deg_F_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,229 :: 		end if
L__Read_Temp95:
;Read_Temp.mbas,230 :: 		end if
L__Read_Temp79:
;Read_Temp.mbas,235 :: 		if Pin = 4                                     'Identify the sensor
	MOVF       FARG_Read_Temp_pin+0, 0
	XORLW      4
	BTFSS      STATUS+0, 2
	GOTO       L__Read_Temp97
;Read_Temp.mbas,237 :: 		bytetostr ((( Received_Data_RH_H * 256) + (Received_Data_RH_L)) / 10, RH_Percent_O )
	MOVF       Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _RH_Percent_O+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
	GOTO       L__Read_Temp98
;Read_Temp.mbas,238 :: 		else
L__Read_Temp97:
;Read_Temp.mbas,239 :: 		bytetostr ((( Received_Data_RH_H * 256) + (Received_Data_RH_L)) / 10, RH_Percent_I )
	MOVF       Read_Temp_Received_Data_RH_H+0, 0
	MOVWF      R0+1
	CLRF       R0+0
	MOVF       Read_Temp_Received_Data_RH_L+0, 0
	ADDWF      R0+0, 1
	BTFSC      STATUS+0, 0
	INCF       R0+1, 1
	MOVLW      10
	MOVWF      R4+0
	CLRF       R4+1
	CALL       _Div_16x16_U+0
	MOVF       R0+0, 0
	MOVWF      FARG_ByteToStr_input+0
	MOVLW      _RH_Percent_I+0
	MOVWF      FARG_ByteToStr_output+0
	CALL       _ByteToStr+0
;Read_Temp.mbas,240 :: 		end if
L__Read_Temp98:
;Read_Temp.mbas,245 :: 		Err_Exit:
L__Read_Temp_err_exit:
;Read_Temp.mbas,246 :: 		Option_Reg =0x87                          'Restore the PreScaler
	MOVLW      135
	MOVWF      OPTION_REG+0
;Read_Temp.mbas,247 :: 		clearbit (Tris, Pin)                      'Turn the I/O bit to an Output
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp124:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp125
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp124
L__Read_Temp125:
	COMF       R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	ANDWF      R0+0, 1
	MOVF       FARG_Read_Temp_Tris+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,248 :: 		SetBit (port, Pin)                        'Leave it in the High State for the next read
	MOVF       FARG_Read_Temp_pin+0, 0
	MOVWF      R1+0
	MOVLW      1
	MOVWF      R0+0
	MOVF       R1+0, 0
L__Read_Temp126:
	BTFSC      STATUS+0, 2
	GOTO       L__Read_Temp127
	RLF        R0+0, 1
	BCF        R0+0, 0
	ADDLW      255
	GOTO       L__Read_Temp126
L__Read_Temp127:
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       INDF+0, 0
	IORWF      R0+0, 1
	MOVF       FARG_Read_Temp_port+0, 0
	MOVWF      FSR
	MOVF       R0+0, 0
	MOVWF      INDF+0
;Read_Temp.mbas,249 :: 		Period_Reached = 0                        'Restart Timer for next 2.5 Sec sampling
	CLRF       _Period_Reached+0
	CLRF       _Period_Reached+1
;Read_Temp.mbas,250 :: 		Tmr0 = 5                                  '16 ms ticks
	MOVLW      5
	MOVWF      TMR0+0
;Read_Temp.mbas,251 :: 		Intcon = 0xE0                             'Enable Intrupts
	MOVLW      224
	MOVWF      INTCON+0
;Read_Temp.mbas,252 :: 		TMR0IE_bit =  1                           'Start up the two sec timer
	BSF        TMR0IE_bit+0, BitPos(TMR0IE_bit+0)
;Read_Temp.mbas,253 :: 		end sub
L_end_Read_Temp:
	RETURN
; end of _Read_Temp
