
_Water_Level:

;Water_Level.mbas,32 :: 		sub procedure Water_Level (Dim ID as Byte)
;Water_Level.mbas,34 :: 		LCD_OUT (2,2,"    E ")          'Write Fixed Text to Line 2
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      2
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+0
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+1
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+2
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+3
	MOVLW      69
	MOVWF      ?LocalText_Water_Level+4
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+5
	CLRF       ?LocalText_Water_Level+6
	MOVLW      ?LocalText_Water_Level+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Water_Level.mbas,35 :: 		LCD_OUT (2,14," F    ")
	MOVLW      2
	MOVWF      FARG_Lcd_Out_row+0
	MOVLW      14
	MOVWF      FARG_Lcd_Out_column+0
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+0
	MOVLW      70
	MOVWF      ?LocalText_Water_Level+1
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+2
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+3
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+4
	MOVLW      32
	MOVWF      ?LocalText_Water_Level+5
	CLRF       ?LocalText_Water_Level+6
	MOVLW      ?LocalText_Water_Level+0
	MOVWF      FARG_Lcd_Out_text+0
	CALL       _Lcd_Out+0
;Water_Level.mbas,40 :: 		Sensors = 0                        'Clear them
	CLRF       Water_Level_Sensors+0
;Water_Level.mbas,41 :: 		if ID =1                           'ID 1 is Fresh
	MOVF       FARG_Water_Level_ID+0, 0
	XORLW      1
	BTFSS      STATUS+0, 2
	GOTO       L__Water_Level2
;Water_Level.mbas,43 :: 		if PortB.6 = 0                'Where is the data selector
	BTFSC      PORTB+0, 6
	GOTO       L__Water_Level5
;Water_Level.mbas,45 :: 		Sensors = PortC          'The Data Selector is right just get the sensor readings
	MOVF       PORTC+0, 0
	MOVWF      Water_Level_Sensors+0
	GOTO       L__Water_Level6
;Water_Level.mbas,46 :: 		Else
L__Water_Level5:
;Water_Level.mbas,47 :: 		PortB.6 = 0               'Set the Data Selector for Fresh
	BCF        PORTB+0, 6
;Water_Level.mbas,48 :: 		Sensors = PortC           'Get the Low Level Sensor
	MOVF       PORTC+0, 0
	MOVWF      Water_Level_Sensors+0
;Water_Level.mbas,49 :: 		PortB.6 = 1               'Reset the Data Selector
	BSF        PORTB+0, 6
;Water_Level.mbas,50 :: 		end if
L__Water_Level6:
;Water_Level.mbas,51 :: 		atod = ADC_Read(3) and 0xff 'The third one is on RA3 Analog input
	MOVLW      3
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	MOVWF      R2+1
	MOVLW      0
	ANDWF      R2+1, 1
	MOVF       R2+0, 0
	MOVWF      _atod+0
	MOVF       R2+1, 0
	MOVWF      _atod+1
;Water_Level.mbas,52 :: 		if Atod > 128                'This makes it Digital
	MOVF       R2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Water_Level29
	MOVF       R2+0, 0
	SUBLW      128
L__Water_Level29:
	BTFSC      STATUS+0, 0
	GOTO       L__Water_Level8
;Water_Level.mbas,54 :: 		setbit (Sensors,2)        'No water set the bit
	BSF        Water_Level_Sensors+0, 2
L__Water_Level8:
;Water_Level.mbas,55 :: 		end if
	GOTO       L__Water_Level3
;Water_Level.mbas,56 :: 		Else                             'ID 2 is Gray
L__Water_Level2:
;Water_Level.mbas,57 :: 		if PortB.6 = 1                 'Where is the data selector
	BTFSS      PORTB+0, 6
	GOTO       L__Water_Level11
;Water_Level.mbas,59 :: 		Sensors = PortC          'The Data Selector is right just get the sensor readings
	MOVF       PORTC+0, 0
	MOVWF      Water_Level_Sensors+0
	GOTO       L__Water_Level12
;Water_Level.mbas,60 :: 		Else
L__Water_Level11:
;Water_Level.mbas,61 :: 		PortB.6 = 1               'Set the Data Selector for Gray
	BSF        PORTB+0, 6
;Water_Level.mbas,62 :: 		Sensors = PortC           'Get the Low Level Sensor
	MOVF       PORTC+0, 0
	MOVWF      Water_Level_Sensors+0
;Water_Level.mbas,63 :: 		PortB.6 = 0               'Reset the Data Selector
	BCF        PORTB+0, 6
;Water_Level.mbas,64 :: 		end if
L__Water_Level12:
;Water_Level.mbas,65 :: 		atod = ADC_Read(1) and 0xff 'The third one is on RA1 Analog input
	MOVLW      1
	MOVWF      FARG_ADC_Read_channel+0
	CALL       _ADC_Read+0
	MOVLW      255
	ANDWF      R0+0, 0
	MOVWF      R2+0
	MOVF       R0+1, 0
	MOVWF      R2+1
	MOVLW      0
	ANDWF      R2+1, 1
	MOVF       R2+0, 0
	MOVWF      _atod+0
	MOVF       R2+1, 0
	MOVWF      _atod+1
;Water_Level.mbas,66 :: 		if Atod > 128                'This makes it Digital
	MOVF       R2+1, 0
	SUBLW      0
	BTFSS      STATUS+0, 2
	GOTO       L__Water_Level30
	MOVF       R2+0, 0
	SUBLW      128
L__Water_Level30:
	BTFSC      STATUS+0, 0
	GOTO       L__Water_Level14
;Water_Level.mbas,68 :: 		setbit (Sensors,2)        'No water set the bit
	BSF        Water_Level_Sensors+0, 2
L__Water_Level14:
;Water_Level.mbas,71 :: 		end if
L__Water_Level3:
;Water_Level.mbas,73 :: 		if TestBit(Sensors, 2)
	CLRF       R0+0
	BTFSS      Water_Level_Sensors+0, 2
	GOTO       L__Water_Level19
	MOVLW      1
	MOVWF      R0+0
L__Water_Level19:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Water_Level17
;Water_Level.mbas,75 :: 		Lcd_Chr (2,8,0x0)        'Special Char 0 is a Left Bracket no water
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_Column+0
	CLRF       FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Water_Level.mbas,76 :: 		Lcd_Chr (2,9,0x1)        'Special Char 1 is the top and botto0m rows only for no water
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
	GOTO       L__Water_Level18
;Water_Level.mbas,77 :: 		else
L__Water_Level17:
;Water_Level.mbas,78 :: 		Lcd_Chr (2,8,0x3)        'Special Char 3 is the Hash for water present
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      8
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Water_Level.mbas,79 :: 		Lcd_Chr (2,9,0x3)
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_Row+0
	MOVLW      9
	MOVWF      FARG_Lcd_Chr_Column+0
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_Out_Char+0
	CALL       _Lcd_Chr+0
;Water_Level.mbas,80 :: 		end if
L__Water_Level18:
;Water_Level.mbas,82 :: 		if TestBit(Sensors, 1)
	CLRF       R0+0
	BTFSS      Water_Level_Sensors+0, 1
	GOTO       L__Water_Level23
	MOVLW      1
	MOVWF      R0+0
L__Water_Level23:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Water_Level21
;Water_Level.mbas,84 :: 		Lcd_Chr_CP (0x01)         'Special Char 1 is the top and botto0m rows only
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,85 :: 		Lcd_Chr_CP (0x01)         'For no water
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
	GOTO       L__Water_Level22
;Water_Level.mbas,86 :: 		else
L__Water_Level21:
;Water_Level.mbas,87 :: 		Lcd_Chr_CP (0x3)          'Water present do the hash
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,88 :: 		Lcd_Chr_CP (0x03)
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,89 :: 		end if
L__Water_Level22:
;Water_Level.mbas,91 :: 		if TestBit(Sensors, 0)
	CLRF       R0+0
	BTFSS      Water_Level_Sensors+0, 0
	GOTO       L__Water_Level27
	MOVLW      1
	MOVWF      R0+0
L__Water_Level27:
	MOVF       R0+0, 0
	BTFSC      STATUS+0, 2
	GOTO       L__Water_Level25
;Water_Level.mbas,93 :: 		Lcd_Chr_Cp (0x01)         'Special Char 1 is the top and botto0m rows only
	MOVLW      1
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,94 :: 		Lcd_Chr_Cp (0x02)         'Special char 2 is right brscket no water
	MOVLW      2
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
	GOTO       L__Water_Level26
;Water_Level.mbas,95 :: 		else
L__Water_Level25:
;Water_Level.mbas,96 :: 		Lcd_Chr_CP (0x03)         'Water present do the hash
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,97 :: 		Lcd_Chr_Cp (0x03)
	MOVLW      3
	MOVWF      FARG_Lcd_Chr_CP_Out_Char+0
	CALL       _Lcd_Chr_CP+0
;Water_Level.mbas,98 :: 		end if
L__Water_Level26:
;Water_Level.mbas,99 :: 		end sub
L_end_Water_Level:
	RETURN
; end of _Water_Level
